%define LIBVER 62.0.0

Summary:	A library for manipulating JPEG image format files.
Name:		libjpeg
Version:	6b
Release:	1.3.0
Copyright:	distributable
Group:		System Environment/Libraries
Source0:	ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz
Patch0:		jpeg-c++.patch
Buildroot:	%{_tmppath}/%{name}-root

%description
The libjpeg package contains a library of functions for manipulating
JPEG images, as well as simple client programs for accessing the
libjpeg functions.  Libjpeg client programs include cjpeg, djpeg,
jpegtran, rdjpgcom and wrjpgcom.  Cjpeg compresses an image file into
JPEG format.  Djpeg decompresses a JPEG file into a regular image
file.  Jpegtran can perform various useful transformations on JPEG
files.  Rdjpgcom displays any text comments included in a JPEG file.
Wrjpgcom inserts text comments into a JPEG file.


%package devel
Summary: Development tools for programs which will use the libjpeg library.
Group: Development/Libraries
Requires: libjpeg

%description devel
The libjpeg-devel package includes the header files and static libraries
necessary for developing programs which will manipulate JPEG files using
the libjpeg library.


%prep
%setup -q -n jpeg-6b
%patch0 -p1 -b .c++


%build
# libtoolize --hack
cp /usr/share/libtool/config.{guess,sub} .
%configure \
	--enable-shared --enable-static
make
%ifnarch armv4l
#FIX MEEE: we know this will fail on arm
LD_LIBRARY_PATH=$PWD make test
%endif


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{lib,include,bin}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%makeinstall
# Work around the broken makefiles...
mv $RPM_BUILD_ROOT%{_mandir}/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
strip -R .comment $RPM_BUILD_ROOT/usr/bin/* || :


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
  rm -rf $RPM_BUILD_ROOT


%files
  %defattr(-,root,root)
  %doc usage.doc
  /usr/lib/libjpeg.so.%{LIBVER}
  /usr/bin/*
  %{_mandir}/*/*

%files devel
  %defattr(-,root,root)
  %doc libjpeg.doc coderules.doc
  /usr/lib/*.a
  /usr/lib/*.la
  /usr/lib/*.so
  /usr/include/*.h


%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6b, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).


* Thu Apr 19 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6b, Release 1.0.1
  - Initial build for EnGarde.

